#
# spec file for package ibus-rime
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ibus-rime
Version:        1.2
Release:        7.16
Summary:        IBus rime
License:        GPL-3.0
Group:          System/I18n/Chinese
Url:            https://github.com/lotem/ibus-rime
Source:         %{name}-%{version}.tar.gz
BuildRequires:  boost-devel
BuildRequires:  brise
BuildRequires:  cmake >= 2.8
BuildRequires:  gcc-c++
BuildRequires:  ibus-devel
BuildRequires:  libkyotocabinet-devel
BuildRequires:  libnotify-devel
BuildRequires:  librime-devel >= 1.0
BuildRequires:  opencc
BuildRequires:  opencc-devel
%if 0%{?suse_version} > 1230
BuildRequires:  libyaml-cpp0_5
%else
BuildRequires:  libyaml-cpp0_3
%endif

%description
Rime Input Method Engine - riming with your keystrokes.

%prep
%setup -q

%build
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}

%files
%defattr(-,root,root)
%doc README
%{_ibus_componentdir}/rime.xml
%{_datadir}/ibus-rime/
%{_libexecdir}/ibus-rime/

%changelog
* Sun Aug 10 2014 i@marguerite.su
- update version 1.2
  * rime_engine.c: add status bar icons; update status bar
    only when there is a change in IME status, to fix issues
    on Ubuntu Trusty.
  * rime_config.h: define macros for version and file paths.
  * Makefile: fix file permissions in install target.
* Sat Mar 15 2014 i@marguerite.su
- update version 1.1git20140316
  * rime.xml: add symbolic icon for GNOME Shell.
  * rime_settings.*: fallback to ibus default UI options in 'panel' section.
* Sat Nov 16 2013 hillwood@linuxfans.org
- Update to 1.0
  * add config option 'lookup_table_orientation'.
* Sat Jul  6 2013 hillwood@linuxfans.org
- Ｕpdate to 0.9.9
  * support static linking librime and its dependencies.
  * support changing conversion mode with Caps Lock.
  * add 'Sync data' button.
  * in Chinese mode, display the name of schema on status bar.
  * display notifications about deployment result.
* Tue Oct 16 2012 hillwood@linuxfans.org
- Update to 0.9.4
  * user dictionary for table input method.
  * automatically build schema dependencies.
  * logging with google-glog.
  * install data files from a separate package: brise.
  * new API: accessing schema list.
  * new API: enabling/disabling soft cursor in preedit string.
* Tue Jul 24 2012 hillwood@linuxfans.org
- The first version 0.9.2
  * UI: new Rime logo.
  * UI: Add Chinese/ascii mode indicator and Deploy button to status bar.
  * UI: Show notification when deploying Rime.
